package org.jeecg.modules.system.enums;

/**
 * @ProjectName: jeecg-boot-parent
 * @Package: org.jeecg.modules.system.enums
 * @ClassName: NationResCode
 * @Author: ACE
 * @Description:
 * @Date: 2022/2/14 17:27
 * @Version: 1.0
 */
public enum NationResCode {

    /*认证服务异常码*/
    RES_CODE80000("80000","认证服务调用成功"),
    RES_CODE80001("80001","手机号码不正确"),
    RES_CODE80002("80002","参数为空"),
    RES_CODE80005("80005","异步广播消息发送失败"),
    RES_CODE80006("80006","手机号为空"),
    RES_CODE80007("80007","验证码为空"),
    RES_CODE80008("80008","验证码已过期"),
    RES_CODE80009("80009","验证码错误"),
    RES_CODE80010("80010","申请票据失败"),
    RES_CODE80011("80011","令牌已过期"),
    RES_CODE80012("80012","获取令牌失败"),
    RES_CODE80013("80013","票据过期，票据失效"),
    RES_CODE80014("80014","令牌延期失败"),
    RES_CODE80015("80015","获取用户信息失败"),
    RES_CODE80016("80016","获取创建令牌凭证失败"),
    RES_CODE80017("80017","申请凭证失败"),
    RES_CODE80018("80018","获取凭证失败"),
    RES_CODE80019("80019","验证凭证失败"),
    RES_CODE80020("80020","销毁凭证失败"),
    RES_CODE80021("80021","凭证过期或不存在"),
    RES_CODE80022("80022","验证令牌失败"),
    RES_CODE80023("80023","令牌销毁失败"),


    /*用户中心异常码*/
    RES_CODE90000("90000","调用成功OK"),
    RES_CODE90001("90001","注册失败"),
    RES_CODE90002("90002","用户不存在"),
    RES_CODE90003("90003","用户名或密码不能为空"),
    RES_CODE90004("90004","用户名或密码不正确"),
    RES_CODE90005("90005","手机号格式不正确"),
    RES_CODE90006("90006","验证码不正确"),
    RES_CODE90007("90007","用户名已经被使用"),
    RES_CODE90008("90008","输入不能为空"),
    RES_CODE90009("90009","修改密码失败"),
    RES_CODE90010("90010","获取用户信息错误"),
    RES_CODE90011("90011","发送验证码失败"),
    RES_CODE90012("90012","证件号已经被使用"),
    RES_CODE90013("90013","手机号码已经被使用"),
    RES_CODE90014("90014","身份证不合法"),
    RES_CODE90015("90015","手机验证码错误"),
    RES_CODE90016("90016","用户名称或手机号或身份证填写不正确"),
    RES_CODE90017("90017","用户名称不合法，首字母不能为数字，不能包含汉字，长度6到20个字符"),
    RES_CODE90018("90018","身份证号格式不正确"),
    RES_CODE90019("90019","企业统一信用代码已经被使用"),
    RES_CODE90020("90020","请先注册自然人账号"),
    RES_CODE90021("90021","输入的数据为空"),
    RES_CODE90022("90022","请使用您注册的手机号码"),
    RES_CODE90023("90023","请输入注册时的手机号码"),
    RES_CODE90024("90024","密码不正确"),
    RES_CODE90025("90025","登录已失效，请重新登录"),
    RES_CODE90026("90026","身份证信息校验不通过"),
    RES_CODE90027("90027","请刷新验证码并从新填写"),
    RES_CODE90028("90028","登录成功"),
    RES_CODE90029("90029","登录失败"),
    RES_CODE90030("90030","验证码输入错误"),
    RES_CODE90031("90031","输入数据格式有误"),
    RES_CODE90032("90032","请刷新页面"),
    RES_CODE90033("90033","请勿重复提交"),

    ;

    NationResCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    private String code;
    private String msg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
